Summary: Key/value database library with extensible hashing
Name: gdbm
Version: 1.24
Release: r0
License: GPL-3.0-only
Group: libs
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://www.gnu.org/software/gdbm/
Source0: ptest.patch
Source1: run-ptest
Source2: gdbm-1.24.tar.gz
Source3: series
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: gettext-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: texinfo-dummy-native
BuildRequires: virtual/aarch64-poky-linux-compilerlibs
BuildRequires: virtual/aarch64-poky-linux-gcc
BuildRequires: virtual/libc

%description
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.

%package -n libgdbm-src
Summary: Key/value database library with extensible hashing - Source files
License: GPL-3.0-only
Group: devel
Provides: gdbm-src = 1.24

%description -n libgdbm-src
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
sources for debugging purposes.

%package -n libgdbm-dbg
Summary: Key/value database library with extensible hashing - Debugging files
License: GPL-3.0-only
Group: devel
Recommends: gdbm-compat-dbg
Recommends: glibc-dbg
Provides: gdbm-dbg = 1.24

%description -n libgdbm-dbg
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
ELF symbols and related sources for debugging purposes.

%package -n libgdbm-compat4
Summary: Key/value database library with extensible hashing
License: GPL-3.0-only
Group: libs
Requires: ld-linux-aarch64.so.1()(64bit)
Requires: ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libgdbm.so.6()(64bit)
Requires: libgdbm6 >= 1.24
Requires: rtld(GNU_HASH)
Requires(post): ld-linux-aarch64.so.1()(64bit)
Requires(post): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.17)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libgdbm.so.6()(64bit)
Requires(post): libgdbm6 >= 1.24
Requires(post): rtld(GNU_HASH)
Provides: gdbm-compat = 1.24
Provides: libgdbm_compat.so.4()(64bit)

%description -n libgdbm-compat4
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.

%package -n libgdbm-ptest
Summary: Key/value database library with extensible hashing - Package test files
License: GPL-3.0-only
Group: devel
Requires: /bin/sh
Requires: diffutils
Requires: gdbm-bin
Requires: ld-linux-aarch64.so.1()(64bit)
Requires: ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libgdbm-compat4 >= 1.24
Requires: libgdbm.so.6()(64bit)
Requires: libgdbm6 >= 1.24
Requires: libgdbm_compat.so.4()(64bit)
Requires: rtld(GNU_HASH)
Recommends: ptest-runner
Provides: gdbm-ptest = 1.24

%description -n libgdbm-ptest
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
a test directory /usr/lib/gdbm/ptest for package test purposes.

%package -n libgdbm-staticdev
Summary: Key/value database library with extensible hashing - Development files (Static Libraries)
License: GPL-3.0-only
Group: devel
Requires: libgdbm-dev = 1.24-r0
Provides: gdbm-staticdev = 1.24

%description -n libgdbm-staticdev
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
static libraries for software development.

%package -n libgdbm-dev
Summary: Key/value database library with extensible hashing - Development files
License: GPL-3.0-only
Group: devel
Requires: gdbm
Requires: gdbm-compat
Recommends: diffutils-dev
Recommends: gdbm-bin-dev
Recommends: gdbm-compat-dev
Recommends: glibc-dev
Recommends: libgdbm6 = 1.24-r0
Provides: gdbm-dev = 1.24

%description -n libgdbm-dev
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
symbolic links, header files, and related items necessary for software
development.

%package -n libgdbm-doc
Summary: Key/value database library with extensible hashing - Documentation files
License: GPL-3.0-only
Group: doc
Provides: gdbm-doc = 1.24

%description -n libgdbm-doc
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
documentation.

%package -n libgdbm-locale-da
Summary: Key/value database library with extensible hashing - da translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-da
Provides: da-translation
Provides: gdbm-locale
Provides: gdbm-locale-da = 1.24

%description -n libgdbm-locale-da
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the da locale.

%package -n libgdbm-locale-de
Summary: Key/value database library with extensible hashing - de translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-de
Provides: de-translation
Provides: gdbm-locale
Provides: gdbm-locale-de = 1.24

%description -n libgdbm-locale-de
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the de locale.

%package -n libgdbm-locale-eo
Summary: Key/value database library with extensible hashing - eo translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-eo
Provides: eo-translation
Provides: gdbm-locale
Provides: gdbm-locale-eo = 1.24

%description -n libgdbm-locale-eo
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the eo locale.

%package -n libgdbm-locale-es
Summary: Key/value database library with extensible hashing - es translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-es
Provides: es-translation
Provides: gdbm-locale
Provides: gdbm-locale-es = 1.24

%description -n libgdbm-locale-es
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the es locale.

%package -n libgdbm-locale-fi
Summary: Key/value database library with extensible hashing - fi translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-fi
Provides: fi-translation
Provides: gdbm-locale
Provides: gdbm-locale-fi = 1.24

%description -n libgdbm-locale-fi
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the fi locale.

%package -n libgdbm-locale-fr
Summary: Key/value database library with extensible hashing - fr translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-fr
Provides: fr-translation
Provides: gdbm-locale
Provides: gdbm-locale-fr = 1.24

%description -n libgdbm-locale-fr
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the fr locale.

%package -n libgdbm-locale-ja
Summary: Key/value database library with extensible hashing - ja translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-ja
Provides: gdbm-locale
Provides: gdbm-locale-ja = 1.24
Provides: ja-translation

%description -n libgdbm-locale-ja
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the ja locale.

%package -n libgdbm-locale-ka
Summary: Key/value database library with extensible hashing - ka translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-ka
Provides: gdbm-locale
Provides: gdbm-locale-ka = 1.24
Provides: ka-translation

%description -n libgdbm-locale-ka
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the ka locale.

%package -n libgdbm-locale-pl
Summary: Key/value database library with extensible hashing - pl translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-pl
Provides: gdbm-locale
Provides: gdbm-locale-pl = 1.24
Provides: pl-translation

%description -n libgdbm-locale-pl
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the pl locale.

%package -n libgdbm-locale-pt-br
Summary: Key/value database library with extensible hashing - pt_BR translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-pt-br
Provides: gdbm-locale
Provides: gdbm-locale-pt-br = 1.24
Provides: pt-br-translation

%description -n libgdbm-locale-pt-br
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the pt_BR locale.

%package -n libgdbm-locale-ro
Summary: Key/value database library with extensible hashing - ro translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-ro
Provides: gdbm-locale
Provides: gdbm-locale-ro = 1.24
Provides: ro-translation

%description -n libgdbm-locale-ro
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the ro locale.

%package -n libgdbm-locale-ru
Summary: Key/value database library with extensible hashing - ru translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-ru
Provides: gdbm-locale
Provides: gdbm-locale-ru = 1.24
Provides: ru-translation

%description -n libgdbm-locale-ru
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the ru locale.

%package -n libgdbm-locale-sr
Summary: Key/value database library with extensible hashing - sr translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-sr
Provides: gdbm-locale
Provides: gdbm-locale-sr = 1.24
Provides: sr-translation

%description -n libgdbm-locale-sr
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the sr locale.

%package -n libgdbm-locale-sv
Summary: Key/value database library with extensible hashing - sv translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-sv
Provides: gdbm-locale
Provides: gdbm-locale-sv = 1.24
Provides: sv-translation

%description -n libgdbm-locale-sv
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the sv locale.

%package -n libgdbm-locale-uk
Summary: Key/value database library with extensible hashing - uk translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-uk
Provides: gdbm-locale
Provides: gdbm-locale-uk = 1.24
Provides: uk-translation

%description -n libgdbm-locale-uk
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the uk locale.

%package -n libgdbm-locale-vi
Summary: Key/value database library with extensible hashing - vi translations
License: GPL-3.0-only
Group: libs
Recommends: virtual-locale-vi
Provides: gdbm-locale
Provides: gdbm-locale-vi = 1.24
Provides: vi-translation

%description -n libgdbm-locale-vi
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.  This package contains
language translation files for the vi locale.

%package -n libgdbm-bin
Summary: Key/value database library with extensible hashing
License: GPL-3.0-only
Group: libs
Requires: ld-linux-aarch64.so.1()(64bit)
Requires: ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libgdbm.so.6()(64bit)
Requires: libgdbm6 >= 1.24
Requires: rtld(GNU_HASH)
Provides: gdbm-bin = 1.24

%description -n libgdbm-bin
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.

%package -n libgdbm6
Summary: Key/value database library with extensible hashing
License: GPL-3.0-only
Group: libs
Requires: ld-linux-aarch64.so.1()(64bit)
Requires: ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires(post): ld-linux-aarch64.so.1()(64bit)
Requires(post): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.17)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)
Provides: gdbm = 1.24
Provides: libgdbm.so.6()(64bit)

%description -n libgdbm6
Library of database functions that use extensible hashing and work similar
to the standard UNIX dbm. These routines are provided to a programmer
needing to create and manipulate a hashed database.

%post -n libgdbm-compat4
# libgdbm-compat4 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%post -n libgdbm6
# libgdbm6 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libgdbm-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/gdbm"
%attr(755,root,root) %dir "/usr/src/debug/gdbm/1.24"
%attr(755,root,root) %dir "/usr/src/debug/gdbm/1.24/tools"
%attr(755,root,root) %dir "/usr/src/debug/gdbm/1.24/compat"
%attr(755,root,root) %dir "/usr/src/debug/gdbm/1.24/src"
%attr(755,root,root) %dir "/usr/src/debug/gdbm/1.24/tests"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/gram.h"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/gdbm_load.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/input-file.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/gram.y"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/input-null.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/lex.l"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/wordwrap.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/input-argv.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/lex.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/progname.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/datconv.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/input-std.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/err.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/gdbmtool.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/util.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/gdbm_dump.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/gdbmtool.h"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/var.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/gdbmshell.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/gram.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/mem.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/gdbmapp.h"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tools/parseopt.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/dbmfetch.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/seq.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/store.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/dbmrdonly.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/dbmopen.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/fetch.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/dbmclose.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/dbm.h"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/delete.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/dbmdirfno.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/dbmdelete.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/ndbm.h"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/dbmerr.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/dbmpagfno.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/dbmstore.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/close.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/dbmseq.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/dbminit.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/compat/dbm-priv.h"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmsync.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/recover.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmfetch.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmopen.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/hash.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmcount.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmsetopt.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmimp.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmerrno.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmexists.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmclose.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmdefs.h"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/bucket.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/version.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/falloc.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmdelete.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmseq.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/fullio.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmreorg.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmstore.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmdump.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/proto.h"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmexp.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/findkey.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/base64.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/lock.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/mmap.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbm.h"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmfdesc.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/gdbmload.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/avail.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/src/update.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/t_dumpload.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/gtcacheopt.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/gtdump.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/closerr.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/gtver.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/g_reorg_ce.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/gtconv.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/gtload.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/progname.h"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/gtopt.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/dtload.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/d_creat_ce.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/dtdump.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/gtdel.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/dtdel.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/g_open_ce.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/gtfetch.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/dtfetch.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/gtrecover.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/t_wordwrap.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/num2word.c"
%attr(644,root,root) "/usr/src/debug/gdbm/1.24/tests/fdop.c"

%files -n libgdbm-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/bin/.debug"
%attr(755,root,root) "/usr/bin/.debug/gdbm_load"
%attr(755,root,root) "/usr/bin/.debug/gdbmtool"
%attr(755,root,root) "/usr/bin/.debug/gdbm_dump"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) %dir "/usr/lib/gdbm"
%attr(755,root,root) "/usr/lib/.debug/libgdbm_compat.so.4.0.0"
%attr(755,root,root) "/usr/lib/.debug/libgdbm.so.6.0.0"
%attr(755,root,root) %dir "/usr/lib/gdbm/ptest"
%attr(755,root,root) %dir "/usr/lib/gdbm/ptest/tests"
%attr(755,root,root) %dir "/usr/lib/gdbm/ptest/tests/.debug"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/gtdel"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/fdop"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/gtopt"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/gtload"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/dtdel"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/gtcacheopt"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/d_creat_ce"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/gtver"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/gtrecover"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/g_reorg_ce"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/t_wordwrap"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/num2word"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/t_dumpload"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/gtconv"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/dtload"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/gtfetch"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/gtdump"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/dtfetch"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/closerr"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/dtdump"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/.debug/g_open_ce"

%files -n libgdbm-compat4
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) "/usr/lib/libgdbm_compat.so.4.0.0"
%attr(777,root,root) "/usr/lib/libgdbm_compat.so.4"

%files -n libgdbm-ptest
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/gdbm"
%attr(755,root,root) %dir "/usr/lib/gdbm/ptest"
%attr(755,root,root) %dir "/usr/lib/gdbm/ptest/tests"
%attr(755,root,root) "/usr/lib/gdbm/ptest/run-ptest"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/gtdel"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/testsuite"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/fdop"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/gtopt"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/gtload"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/dtdel"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/gtcacheopt"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/d_creat_ce"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/gtver"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/gtrecover"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/g_reorg_ce"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/t_wordwrap"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/num2word"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/t_dumpload"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/gtconv"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/dtload"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/gtfetch"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/gtdump"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/dtfetch"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/closerr"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/dtdump"
%attr(755,root,root) "/usr/lib/gdbm/ptest/tests/g_open_ce"

%files -n libgdbm-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/include"
%attr(777,root,root) "/usr/lib/libgdbm_compat.so"
%attr(777,root,root) "/usr/lib/libgdbm.so"
%attr(755,root,root) %dir "/usr/include/gdbm"
%attr(644,root,root) "/usr/include/dbm.h"
%attr(644,root,root) "/usr/include/ndbm.h"
%attr(644,root,root) "/usr/include/gdbm.h"
%attr(777,root,root) "/usr/include/gdbm/ndbm.h"
%attr(777,root,root) "/usr/include/gdbm/gdbm.h"

%files -n libgdbm-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/info"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(755,root,root) %dir "/usr/share/man/man3"
%attr(644,root,root) "/usr/share/man/man1/gdbm_load.1"
%attr(644,root,root) "/usr/share/man/man1/gdbmtool.1"
%attr(644,root,root) "/usr/share/man/man1/gdbm_dump.1"
%attr(644,root,root) "/usr/share/man/man3/gdbm.3"
%attr(644,root,root) "/usr/share/info/gdbm.info"

%files -n libgdbm-locale-da
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/da"
%attr(755,root,root) %dir "/usr/share/locale/da/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/da/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-de
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/de"
%attr(755,root,root) %dir "/usr/share/locale/de/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/de/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-eo
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/eo"
%attr(755,root,root) %dir "/usr/share/locale/eo/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/eo/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-es
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/es"
%attr(755,root,root) %dir "/usr/share/locale/es/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/es/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-fi
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/fi"
%attr(755,root,root) %dir "/usr/share/locale/fi/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/fi/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-fr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/fr"
%attr(755,root,root) %dir "/usr/share/locale/fr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/fr/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-ja
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ja"
%attr(755,root,root) %dir "/usr/share/locale/ja/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ja/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-ka
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ka"
%attr(755,root,root) %dir "/usr/share/locale/ka/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ka/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-pl
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/pl"
%attr(755,root,root) %dir "/usr/share/locale/pl/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/pl/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-pt-br
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/pt_BR"
%attr(755,root,root) %dir "/usr/share/locale/pt_BR/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/pt_BR/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-ro
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ro"
%attr(755,root,root) %dir "/usr/share/locale/ro/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ro/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-ru
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ru"
%attr(755,root,root) %dir "/usr/share/locale/ru/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ru/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-sr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/sr"
%attr(755,root,root) %dir "/usr/share/locale/sr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/sr/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-sv
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/sv"
%attr(755,root,root) %dir "/usr/share/locale/sv/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/sv/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-uk
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/uk"
%attr(755,root,root) %dir "/usr/share/locale/uk/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/uk/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-locale-vi
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/vi"
%attr(755,root,root) %dir "/usr/share/locale/vi/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/vi/LC_MESSAGES/gdbm.mo"

%files -n libgdbm-bin
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/bin/gdbm_load"
%attr(755,root,root) "/usr/bin/gdbmtool"
%attr(755,root,root) "/usr/bin/gdbm_dump"

%files -n libgdbm6
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(777,root,root) "/usr/lib/libgdbm.so.6"
%attr(755,root,root) "/usr/lib/libgdbm.so.6.0.0"

%%prep
echo "include logs and patches, Please check them in SOURCES"

